package es.verdnatura.presentation.view.feature.articulo.model

class ItemCardVO (
    var id:Int = 0,
    var longName:String = "0",
    var value5:String = "",
    var value6:String = "0",
    var value7:String = "0",
    var image:String = "0",
    var size:String = "0",
    var stems:String?,
    var itemCost:String?,
    var category:String = "0",
    var producer:String = "0",
    var origin:String = "0",
    var nicho:String = "0",
    var reserva:String = "0",
    var enNicho:String = "0",
    var available:String = "0",
    var enAltillo:String = "0",
    var repo:String = "0",
    var total:String = "0",
    var min:String = "0",
    var grouping:String = "0",
    var packing:String = "0",
    var barcodes:List<BarcodeVO> = listOf(),
    var tag5:String = "",
    var tag6:String = "",
    var tag7:String = "",
    var isError: Boolean = false,
    var errorMessage:String = "",
    var urlImage200:String = "",
    var urlImage:String = "",
    var itemPackingTypeFk:String =" ",
    var reference:String="",
    var buyer:String="",


    //sergio para modificar la llamada de itemCard a item_getInfo

    var vVisibleItemShelving:String = "0", // = enAltillo
    var visible :String = "0",// = total
    var unlocated:String = "0" //= enNicho

)

class ItemCardRowVO (
    var title:String? = "",
    var value:String? = "",
    var isEditable:Boolean = true,
    var action:String = "",
    var barcodes: List<BarcodeVO> = listOf()
)

class BarcodeVO(
    var code:String?
)





